> ## Documentation Index
> Fetch the complete documentation index at: https://docs.invopop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Authentication

> Generate an access token to start using an Invopop workspace.

Invopop API Keys are generated using the [Console](https://console.invopop.com). Enter **Configuration → API Keys** and click on <kbd>+ New API Key</kbd> on the top right corner. Enter the name and the description and click <kbd>Save</kbd>. You'll be presented with a screen showing a new token. For security reasons, we don’t store this token. Copy it now, or you’ll need to create a new API key if it’s lost.

<Tip>
  Invopop uses JSON Web Tokens. If you're interested in seeing the contents, head over to [JWT.io](https://jwt.io) and paste your token to see what's
  inside.
</Tip>

Tokens must be included in the `Authorization` HTTP header in all requests as a type `Bearer`.

Test everything is working correctly using the [ping](/api-ref/utils/ping)
endpoint and curl:

```bash theme={"system"}
$ curl -H "Authorization: Bearer [token]" https://api.invopop.com/utils/v1/ping

{"ping":"pong"}
```
